Subject: Bug#924496: 'realloc(): invalid next size: 0x000055a779ef2170' crash when opening iPod w/ ~12000 tracks

From: Bernhard Übelacker <[email-masked]>
Date: Sun, 24 Mar 2019 14:49:38 +0100

Control: tags + 924496 unreproducible

Hello Fred,

Am 20.03.19 um 22:22 schrieb Fred Korz:
> I loathe Heisenbugs!  Sorry for the time waste.
> 
> I tried the same IPod on my home system which runs vanilla debian
> testing and has the same version (3.4.3-2) of rhythmbox.  I could not
> reproduce the crash. Neither the rhythm box slowness nor the apparent
> memory failure happen.

Yes, such bugs are not that much fun. ;-)

>         Can this be downloaded somewhere?
> 
>     The name, "rodete", is "ROlling DEbian TEsting"
...
> 
>         And are there debug symbols available for installation?
> 
>     Yes they are.  I've installed these debug symbol packages at work
>     and will install at home tonight.

I just wanted to ask if it can be downloaded publicly,
because with access to rodete's binary and debug symbol packages,
one may be able still get some more information from the backtrace
in your first message. Because in rodete the packages seem to be rebuilt,
it's not possible to use the Debian packages.

But in this case the information retrieved that way may not be that
important, because "invalid next size" might translate to "the bug
happened already some realloc/free calls before".

Kind regards,
Bernhard